com.sun.grid.jgdi.management

## Class NotificationBridge

- java.lang.Object
- - com.sun.grid.jgdi.management.NotificationBridge

- All Implemented Interfaces:
    EventListener

      public class NotificationBridge
      extends java.lang.Object
      implements EventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationBridge(java.lang.String url)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
    `void` | `close()` Close the event notification bridge The JGDI event client will be stopped.
    `void` | `eventOccured(Event evt)`
    `javax.management.MBeanNotificationInfo[]` | `getMBeanNotificationInfo()`
    `java.util.Set<EventTypeEnum>` | `getSubscription()`
    `void` | `removeNotificationListener(javax.management.NotificationListener listener)`
    `void` | `setSubscription(java.util.Set<EventTypeEnum> types)`
    `void` | `subscribe(EventTypeEnum type)`
    `void` | `subscribe(java.util.Set<EventTypeEnum> types)`
    `void` | `unsubscribe(EventTypeEnum type)`
    `void` | `unsubscribe(java.util.Set<EventTypeEnum> types)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationBridge

          public NotificationBridge(java.lang.String url)

  - ### Method Detail

    - #### eventOccured

          public void eventOccured(Event evt)

      Specified by:
        `eventOccured` in interface `EventListener`

    - #### getMBeanNotificationInfo

          public javax.management.MBeanNotificationInfo[] getMBeanNotificationInfo()

    - #### removeNotificationListener

          public void removeNotificationListener(javax.management.NotificationListener listener)
                                          throws JGDIException,
                                                 javax.management.ListenerNotFoundException

      Throws:
        `JGDIException`
        `javax.management.ListenerNotFoundException`

    - #### addNotificationListener

          public void addNotificationListener(javax.management.NotificationListener listener,
                                              javax.management.NotificationFilter filter,
                                              java.lang.Object handback)
                                       throws JGDIException

      Throws:
        `JGDIException`

    - #### getSubscription

          public java.util.Set<EventTypeEnum> getSubscription()
                                                       throws JGDIException

      Throws:
        `JGDIException`

    - #### setSubscription

          public void setSubscription(java.util.Set<EventTypeEnum> types)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### subscribe

          public void subscribe(EventTypeEnum type)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### unsubscribe

          public void unsubscribe(EventTypeEnum type)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### subscribe

          public void subscribe(java.util.Set<EventTypeEnum> types)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### unsubscribe

          public void unsubscribe(java.util.Set<EventTypeEnum> types)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### close

          public void close()

      Close the event notification bridge The JGDI event client will be stopped.

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.